petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLINESEARCHBT

Backtracking line search. This line search finds the minimum of a polynomial fitting of the L2 norm of the Many brfunction or the objective function if it is provided with SNESSetObjective(). If this fit does not satisfy the conditions for progress, the interval shrinks Many brand the fit is reattempted at most max_it times or until lambda is below minlambda. Many br

### Options Database Keys

| -snes_linesearch_alpha<1e | - 4> - slope descent parameter Many br
| -snes_linesearch_damping<1.0> | - initial step length Many br
| -snes_linesearch_maxstep <length> | - if the length the initial step is larger than this then the Many brstep is scaled back to be of this length at the beginning of the line search Many br
| -snes_linesearch_max_it<40> | - maximum number of shrinking step Many br
| -snes_linesearch_minlambda<1e | - 12> - minimum step length allowed Many br
| -snes_linesearch_order<cubic,quadratic> | - order of the approximation Many br

Many br

### Notes

This line search is taken from "Numerical Methods for Unconstrained Many brOptimization and Nonlinear Equations" by Dennis and Schnabel, page 325. Many br

### Keywords

SNES, SNESLineSearch, damping

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType()

Level:advanced
Location:src/snes/linesearch/impls/bt/linesearchbt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages